/*index*/

.section4 .subtitle {
    color: var(--dark-green);
    margin: 50px 0;
}

.flex-item.half:nth-of-type(2) {
    border-right: 2px dashed var(--light-gray);
}

.home.section2 {
    background: var(--white);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center right;
}

.home.section2 img {
    border-top-left-radius: 50%;
    width: 65%;
    display: block;
    margin: auto;
}

.home .section3 {
    background: var(--black);
    color: var(--white);
}

.section3 h2 {
    padding: 0 0 50px;
}

.section3 .item-a, .section3 .item-b, .section3 .item-c {
    position: relative;
}

.section3 .item-a p, .section3 .item-b p, .section3 .item-c p {
    position: absolute;
    top: -15px;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #fff;
    padding: 5px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    font-weight: bold;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-size: 1.1em;
    width: 65%;
}

.section3 .subgrid {
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: auto;
    column-gap: 20px;
    padding: 0 15%;
}

.section3 img {
    width: 65%;
    aspect-ratio: 3/4;
    border-radius: 15px;
    transition: .25s ease-in-out;
    cursor: pointer;
}

.section3 img:hover {
    filter: saturate(1);
}

.sub-heading {
    grid-column: 1 / 4;
    grid-row: 1;
}

.home.section3 .flex {
    align-content: center;
}

.item-b {
    grid-column: 2;
}

.laptop {
    position: relative;
    aspect-ratio: 17 / 11;
    width: 50%;
    background-image: url(../img/laptopBlank.png);
    background-size: cover;
    background-position: center center;
    left: 70%;
    transform: translateX(-50%);
}

.whiteBox {
    background: #fff;
    color: #000;
    height: 85%;
    width: 40%;
    left: 10%;
    top: 4%;
    padding: 0 4px;
    position: absolute;
    display: inline-block;
    z-index: 2;
}

.blackBox {
    background: #000;
    color: #fff;
    height: 85%;
    width: 42%;
    right: 8%;
    top: 4%;
    padding: 0 4px;
    position: absolute;
    display: inline-block;
    z-index: 2;
    overflow: hidden;
}

.whiteBox p, .blackBox p{
    font-size: clamp(1vw, .9vw, 2vw);
}



.lightcoral {
    color: lightcoral;
}

.pink {
    color: pink;
}

.orange{
    color: orange;
}

.skyblue {
    color: skyblue;
}

.green {
    color: var(--green);
}

.yellow {
    color: gold;
}

.lighttan {
    color: lightyellow;
}


.story1 p {
    overflow: hidden; /* Ensures the content is not revealed until the animation */
    border-right: .15em solid orange; /* The typwriter cursor */
    white-space: nowrap; /* Keeps the content on a single line */
    margin: 3em 0 0; /* Gives that scrolling effect as the typing happens */
    width: fit-content;
    animation: 
      typing 2s steps(60, end),
      caret .75s step-end infinite,
      end-caret .5s 10s forwards;
  }

.story2 p {
    overflow: hidden; /* Ensures the content is not revealed until the animation */
    border-right: .15em solid orange; /* The typwriter cursor */
    white-space: nowrap; /* Keeps the content on a single line */
    margin: 14em 0 0; /* Gives that scrolling effect as the typing happens */
    width: fit-content;
    animation: 
      typing 2s 10.5s steps(60, end),
      caret .75s step-end infinite,
      hidden 10.65s,
      end-caret .5s 12s;
}

.blackBox p {
    font-family: 'Inconsolata', 'Courier New', Courier, monospace;
}

.numbers {
    display: inline-block;
    float: left;
}

.numbers p:first-of-type {
    margin-top: .3em;
}

.numbers p {
    line-height: .9;    
    font-size: .9em;
}

  .code1 p:first-child {
    overflow: hidden; /* Ensures the content is not revealed until the animation */
    border-right: .15em solid orange; /* The typwriter cursor */
    white-space: nowrap;
    margin: 7.25em 0 0; /* Gives that scrolling effect as the typing happens */
    width: fit-content;
    max-width: fit-content;
    animation: 
      typing 1.5s 2s steps(40, end),
      caret .75s step-end,
      hidden 2.1s,
      end-caret .25s 3s forwards;
  }

  .code1 p:nth-child(2) {
    overflow: hidden; /* Ensures the content is not revealed until the animation */
    border-right: .15em solid orange; /* The typwriter cursor */
    white-space: nowrap;
    margin: 1px 0; /* Gives that scrolling effect as the typing happens */
    width: fit-content;
    max-width: fit-content;
    animation: 
      typing 1.75s 3s steps(45, end),
      caret .75s step-end,
      hidden 3.1s linear,
      end-caret .5s 4.5s forwards;
  }

  .code1 p:nth-child(3) {
    overflow: hidden; /* Ensures the content is not revealed until the animation */
    border-right: .15em solid orange; /* The typwriter cursor */
    white-space: nowrap;
    margin: 0; /* Gives that scrolling effect as the typing happens */
    width: fit-content;
    max-width: fit-content;
    animation: 
      typing 1.75s 5s steps(36, end),
      caret .75s step-end,
      hidden 5.1s,
      end-caret .5s 5s forwards;
  }

  .code1 p:nth-child(4) {
    overflow: hidden; /* Ensures the content is not revealed until the animation */
    border-right: .15em solid orange; /* The typwriter cursor */
    white-space: nowrap;
    margin: 0; /* Gives that scrolling effect as the typing happens */
    width: fit-content;
    max-width: fit-content;
    animation: 
      typing 2.75s 6.5s steps(40, end),
      caret .75s step-end,
      hidden 6.6s linear forwards,
      end-caret .5s 8.5s forwards;
  }
  .code1 p:nth-child(5) {
    overflow: hidden; /* Ensures the content is not revealed until the animation */
    border-right: .15em solid orange; /* The typwriter cursor */
    white-space: nowrap;
    margin: 0; /* Gives that scrolling effect as the typing happens */
    width: fit-content;
    max-width: fit-content;
    animation: 
      typing 2s 8s steps(34, end),
      caret .75s step-end,
      hidden 8.1s linear forwards,
      end-caret .5s 10s forwards;
  }
  
  /* The typing effect */
  @keyframes typing {
    from { width: 0 }
    to { width: 100% }
  }
  
  /* The typewriter cursor effect */
  @keyframes caret {
    from, to { border-color: transparent }
    50% { border-color: orange; }
  }

  @keyframes end-caret {
    from, to { border-color: orange }
    100% { border-color: transparent }
  }


  @keyframes hidden {
    from, to { visibility: hidden}
    99% {visibility: hidden}
    100% {visibility: visible}
  }

.home .section4.flex,
.home .section5.flex {
    justify-content: space-between;
    align-items: center;
}

.home .section5 .flex-item {
    align-items: center;
}

.home .section4 {
    
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    
}

.home .section4 .flex-item {
    padding: 0 3%;
}

.home .section6 {
    position: relative;
    width: 100%;
    background-image: radial-gradient(circle at center center, rgba(33,33,33,0),rgb(33,33,33)),repeating-linear-gradient(135deg, rgb(33,33,33) 0px, rgb(33,33,33) 1px,transparent 1px, transparent 4px),repeating-linear-gradient(45deg, rgb(56,56,56) 0px, rgb(56,56,56) 5px,transparent 5px, transparent 6px),linear-gradient(90deg, rgb(33,33,33),rgb(33,33,33));
    padding: 100px 25%;
}

#testimonial-js {
    background: #fff;
    padding: 20px;
    border-radius: 5px;
    border-bottom: 10px solid var(--dark-green);
    border-top: 10px solid var(--green);
}

.ribbon {
    --f: 15px;
    --r: 10px;
    --t: 15px;
    position: absolute;
    inset: var(--t) calc(-1*var(--f)) auto auto;
    padding: 7px 10px 20px 25px;
    clip-path: polygon(0 0,100% 0,100% calc(100% - var(--f)),calc(100% - var(--f)) 100%, calc(100% - var(--f)) calc(100% - var(--f)),0 calc(100% - var(--f)), var(--r) calc(50% - var(--f)/2));
    background: var(--green);
    box-shadow: 0 calc(-1*var(--f)) 0 inset #0005;
    color: #fff;
}

/*------Mobile Styles------*/

@media screen and (max-width: 600px) {
    .hero h1 {
        float: unset;
        font-size: 7vw;
    }

    .laptop {
        width: 100%;
        left: 0;
        transform: translate(0, 10%);
    }

    .whiteBox p, .blackBox p{
        font-size: 2vw;
    }

    .numbers p {
        line-height: .7;    
        font-size: .7em;
    }

    .item-a {
        padding-bottom: 50px;
    }

    .item-b {
        grid-column: unset;
        padding-bottom: 50px;
    }

    .flex-item.half:nth-of-type(2) {
        border-right: 2px dashed transparent;
        padding-bottom: 50px;
    }

    .ribbon {
        display: none;
    }

    
}